#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>
#include <string.h>
#include <time.h>

#include <raylib.h>

#include "game.h"

char *text = "こんにちわ、 世界！";
Texture2D cards_texture;

int main(int argc, char** argv) {
  srand(time(NULL));
  InitWindow(1400, 900, "Hanafuda Hachi-Hachi");
  SetTargetFPS(60);

  Game g;
  initialize_game(&g);

  run_until_closing(&g);
      
  CloseWindow();
  return 0;
}
